Collect Files

With WorkDrive, the users can create collection links to request any number of users to upload files easily.

Users can create separate collection links for internal (team users) and external users (anyone on the internet) with custom link settings, such as expiration date, file count limit, and file size limit.

Download Collect Files OpenAPI Document
Download






Get Collection Info

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches information about a collection.

Endpoints

OAuth Scope

WorkDrive.Collection.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/collections/{collection_id} \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

collection_idstring(Required)

A unique ID that represents a collection.

Response Example

R008

COL013

200
200
401
404
Copied!
  {
    "data": {
      "id": "vx57jc433ffa2c7524c51a5205d1849bc92fa",
      "type": "collections",
      "attributes": {
        "modified_time_i18": "May 9, 5:42 PM",
        "modifier_name": "Anna Baker",
        "link": "https://www.zohoapis.com/workdrive/collection/vx57jc433ffa2c7524c51a5205d1849bc92fa",
        "input_fields": [],
        "each_user_each_folder": true,
        "each_user_each_folder_fields": [
          "name"
        ],
        "expiration_date": "May 20, 2021, 11:45 AM",
        "expiration_date_in_millis": 1621491300000,
        "created_time_i18": "Aug 9, 5:42 PM",
        "request_user_data": false,
        "total_uploads": 11,
        "modified_time": "May 9, 5:42 PM",
        "modified_time_in_millis": 1620562320000,
        "total_submissions": 23,
        "upload_file_size_limit_in_bytes": 10485760,
        "created_time": "May 9, 5:42 PM",
        "notify_every_submissions": true,
        "upload_file_size_limit": "10 MB",
        "set_upload_limit": false,
        "override_name_exist": false,
        "is_external": false,
        "personal_note": "Analysis potential leads and assign them to the Sales team",
        "is_expired": false,
        "upload_limit_per_user": 0,
        "parent_id": "vx57jc433ffa2c7524c51a5205d1849bc92fa",
        "created_time_in_millis": 1620562320000,
        "creator_name": "Anna Baker",
        "space_id": "15532088",
        "collection_name": "Event Leads",
        "uploader_note": "Share all leads that you have collected in the recent Dubai Trade Fair",
        "status": 1
      },
      "relationships": {
        "submissions": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/api/v1/collections/7lse92d3ced8a860d4efca7ba1648f7e3f69d/relationships/submissions",
            "related": "https://www.zohoapis.com/workdrive/api/v1/collections/7lse92d3ced8a860d4efca7ba1648f7e3f69d/submissions"
          }
        }
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/api/v1/collections/7lse92d3ced8a860d4efca7ba1648f7e3f69d"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "COL013",
        "title": "Invalid collection id"
      }
    ]
  }
                
Show full